require_relative 'lib/ducts/client/version'

Gem::Specification.new do |spec|
  spec.name          = 'ducts-client'
  spec.version       = Ducts::Client::VERSION
  spec.authors       = ['Kenshiro Ueda']
  spec.email         = ['ueda@iflab.co.jp']

  spec.summary       = 'APIs of DUCTS for ruby clients.'
  spec.homepage      = 'https://www.iflab.co.jp/'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new(">= 2.5.0")
  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/iflb/ducts-client-ruby'

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faye-websocket', '~> 0.11'
  spec.add_dependency 'msgpack', '~> 1.4'
end
